Bug 918233 - CVE-2012-6136 CVE-2013-1820 tuned: multiple insecure permissions of pid files [fedora-17]
Summary: CVE-2012-6136 CVE-2013-1820 tuned: multiple insecure permissions of pid files...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tuned
Version: 17
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2013-1820 CVE-2012-6136
TreeView+ depends on / blocked
 
Reported: 2013-03-05 18:27 UTC by Vincent Danen
Modified: 2013-08-01 18:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 18:26:34 UTC
Type: ---


Attachments (Terms of Use)

Description Vincent Danen 2013-03-05 18:27:33 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

fedora-17 tracking bug for tuned: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2013-03-05 18:27:40 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=918229,918233

Comment 2 Jaroslav Škarvada 2013-03-06 10:29:01 UTC
Tuned 2.X is not affected by this issue, only tuned < 2.X is affected. In f17 updates there is:
tuned-2.0.1-7.fc17

Comment 3 Jaroslav Škarvada 2013-03-06 10:40:54 UTC
But f17 is affected by similar security bug 845336, reopening. Feel free to close in case the another CVE would be needed.

Comment 4 Vincent Danen 2013-03-06 17:59:01 UTC
Another CVE will be needed, but F17 is indeed affected by this issue.  Look at the code as I pointed out in the CVE bug.

Comment 5 Vincent Danen 2013-03-06 23:38:27 UTC
New submission link:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=918229,918233,918813

The other issue has been assigned CVE-2012-6136.  Both issues affect Fedora 17.

Comment 6 Jaroslav Škarvada 2013-03-07 10:50:56 UTC
(In reply to comment #4)
> Another CVE will be needed, but F17 is indeed affected by this issue.  Look
> at the code as I pointed out in the CVE bug.
>
Sorry, I am currently tuned upstream, but I didn't get it. How the tuned-2.0.1-7.fc17 could be affected by:

(CVE-2013-1820) CVE-2013-1820 tuned: insecure permissions of pmqos-static.pid 

if there is no pmqos-static.pid nor pmqos-static daemon that should create this file?

To sort this out:
tuned < 2:
  - pmqos-static.pid created by pmqos-static daemon (in libexec/pmqos-static.py, write_pidfile), it is still vulnerable in RHEL-6, bug 915628, upstream fix: http://git.fedorahosted.org/cgit/tuned.git/patch/?id=c89ad2149ce0425ff790e9c44f5b682e1eee4edc
  - tuned.pid created by tuned daemon (in tuned.py, tuned.run), it was silently fixed without CVE in RHEL-6 by previous tuned maintainer, bug 845336, upstream fix: http://git.fedorahosted.org/cgit/tuned.git/patch/?id=9e8f67009568adce6b9a2f1d4c4c828b2192cba8

tuned-2.0.X (tuned 2.X.X is different codebase/branch than RHEL-6 tuned < 2):
 - no pmqos-static daemon, thus no pmqos-static.pid
 - tuned.pid created by tuned daemon (in utils/daemon.py, _daemonize_fork()), still vulnerable in f17, upstream fix: http://git.fedorahosted.org/cgit/tuned.git/patch/?id=3e98232fce6bd7abc8e73406fff4c7acc1617755

tuned >= 2.1.0:
 - no pmqos-static daemon, thus no pmqos-static.pid
 - tuned.pid created by tuned daemon (now in application.py, Application.write_pid_file), correct code evolved from tuned-2.0.X

For me there are two distinct issues (from functional point of view) - pmqos-static.pid an tuned.pid vulnerability, but three different vulnerable points in the code. Does it mean we need third CVE?

Comment 7 Fedora End Of Life 2013-07-04 06:48:19 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2013-08-01 18:26:52 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.